---
apiVersion: discovery.k8s.io/v1beta1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.0.94.119
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: openshift-kube-scheduler-master-0.case03116926.lab.upshift.rdu2.redhat.com
      namespace: openshift-kube-scheduler
      resourceVersion: "25430"
      uid: bcea8c85-4fc2-42fd-9aa6-2c841db24bec
    topology:
      kubernetes.io/hostname: master-0.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.0.95.76
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: openshift-kube-scheduler-master-1.case03116926.lab.upshift.rdu2.redhat.com
      namespace: openshift-kube-scheduler
      resourceVersion: "22835"
      uid: 929b9dc0-13d8-421f-8c60-7b341ff28ee9
    topology:
      kubernetes.io/hostname: master-1.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.0.94.219
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: openshift-kube-scheduler-master-2.case03116926.lab.upshift.rdu2.redhat.com
      namespace: openshift-kube-scheduler
      resourceVersion: "29130"
      uid: 31edb813-ee25-476e-8949-c7cec3ffb7f4
    topology:
      kubernetes.io/hostname: master-2.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T11:07:32Z"
    creationTimestamp: "2022-03-08T10:38:50Z"
    generateName: scheduler-
    generation: 29
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: scheduler
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"25bf3ffd-9b0d-472c-9253-38720ba06dbc"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:48:05Z"
    name: scheduler-shz2l
    namespace: openshift-kube-scheduler
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: scheduler
      uid: 25bf3ffd-9b0d-472c-9253-38720ba06dbc
    resourceVersion: "29131"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-kube-scheduler/endpointslices/scheduler-shz2l
    uid: 7f8672e6-3d88-4eb7-898b-9fa7b53fe594
  ports:
  - name: https
    port: 10259
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "82871"
  selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-kube-scheduler/endpointslices
